Subject: Re: [PATCH net v3 2/6] selftests: net: make ovs-dpctl.py fail when pyroute2 is unsupported

From: Aaron Conole <[email-masked]>
Date: Fri, 06 Mar 2026 08:42:25 -0500

Aleksei Oladko <[email-masked]> writes:

> The pmtu.sh kselftest configures OVS using ovs-dpctl.py and falls back
> to ovs-vsctl only when ovs-dpctl.py fails. However, ovs-dpctl.py exits
> with a success status when the installed pyroute2 package version is
> lower than 0.6, even though the OVS datapath is not configured.
>
> As a result, pmtu.sh assumes that the setup was successful and
> continues running the test, which later fails due to the missing
> OVS configuration.
>
> Fix the exit code handling in ovs-dpctl.py so that pmtu.sh can detect
> that the setup did not complete successfully and fall back to
> ovs-vsctl.
>
> Fixes: 962e8a01eab9 ("selftests: openvswitch: Add version check for pyroute2")
> Signed-off-by: Aleksei Oladko <[email-masked]>
> ---

This change looks good to me.

Reviewed-by: Aaron Conole <[email-masked]>